## storm 0.12

=== Makefile ===
PYTHON = python$(PYTHON_VERSION)
PYTHON_VERSION = 2.4
TESTDB = storm_test

all:
	@:

check:
	@echo "* Creating $(TESTDB)"
	@if psql -l | grep -q " $(TESTDB) "; then \
	    dropdb $(TESTDB) >/dev/null; \
	fi
	createdb $(TESTDB)
	STORM_POSTGRES_URI=postgres:$(TESTDB) $(PYTHON) test --verbose

.PHONY: all check

## storm 0.14

=== Makefile ===
PYTHON ?= python

TEST_COMMAND = $(PYTHON) test

STORM_POSTGRES_URI = postgres:storm_test
STORM_POSTGRES_HOST_URI = postgres://localhost/storm_test
STORM_MYSQL_URI = mysql:storm_test
STORM_MYSQL_HOST_URI = mysql://localhost/storm_test

export STORM_POSTGRES_URI
export STORM_POSTGRES_HOST_URI
export STORM_MYSQL_URI
export STORM_MYSQL_HOST_URI

all: build

build:
	$(PYTHON) setup.py build_ext -i

check: build
	# Run the tests once with cextensions and once without them.
	$(TEST_COMMAND) && STORM_CEXTENSIONS=1 $(TEST_COMMAND)

clean:
	rm -rf build
	find . -name "*.so" -type f -exec rm -f {} \;
	find . -name "*.pyc" -type f -exec rm -f {} \;
	find . -name "*~" -type f -exec rm -f {} \;

.PHONY: all build test

## storm 0.15

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,17 @@
 	# Run the tests once with cextensions and once without them.
 	$(TEST_COMMAND) && STORM_CEXTENSIONS=1 $(TEST_COMMAND)
 
+release:
+	$(PYTHON) setup.py sdist --formats bztar
+
 clean:
 	rm -rf build
+	rm -rf build-stamp
+	rm -rf dist
+	rm -rf storm.egg-info
+	rm -rf debian/files
+	rm -rf debian/python-storm
+	rm -rf debian/python-storm.*
 	find . -name "*.so" -type f -exec rm -f {} \;
 	find . -name "*.pyc" -type f -exec rm -f {} \;
 	find . -name "*~" -type f -exec rm -f {} \;

## storm 0.18

=== debian/changelog ===
storm (0.18-1) unstable; urgency=low

  * Initial release in Debian. (Closes: #511253).
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Set Debian Python Modules Team as Maintainer and add myself as Uploader.
  * Add Vcs-* fields.
  * Remove unnecessary ${python:Provides} and pycompat file.
  * Fix Suggests list.
  * Add python-storm-dbg package.
  * Make copyright file DEP-5 compliant.
  * Pass --buildsystem=python_distutils option to debhelper and remove
    unnecessary overrides in rules file.

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 31 May 2011 19:46:50 -0430

storm (0.18-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * Switch to source format 3.0 (quilt) and .bz2 tarball
  * Switch to dh_python2
    - Drop build-depends on python-central
    - Bump python-all-dev version requirement
    - Update debian/rules
  * Switch from CDBS to DH based debian/rules
    - Drop cdbs build-dep
    - Update debian/rules
    - Bump debian/compat to 7
  * Drop obsolete XB-Python-Version
  * Change XS-Python-Version to X-Python-Version

 -- Scott Kitterman <scott@kitterman.com>  Wed, 04 May 2011 17:32:20 -0400

storm (0.15-0ubuntu2) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:15:02 +0000

storm (0.15-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * debian/control:
    - Make python-storm architecture-dependent, as Storm builds extensions
      now. (LP: #338420)
    - Add ${shlibs:Depends} to python-storm's Depends field.
  * debian/rules:
    - Update version number.
    - Remove no longer useful DH_ALWAYS_EXCLUDE -- we need /usr/lib now.
  * debian/copyright:
    - Update upstream copyright dates.
    - Replace '(C)' in Debian packaging copyright notice with 'copyright',
      which is actually legally meaningful.

 -- William Grant <wgrant@ubuntu.com>  Tue, 18 Aug 2009 10:40:00 +1000

storm (0.14-0ubuntu2) jaunty; urgency=low

  * Really update to the new upstream version. The previous upload had a
    reversion to 0.12 in the diff.gz. (LP: #364405)

 -- William Grant <wgrant@ubuntu.com>  Tue, 21 Apr 2009 12:08:58 +1000

storm (0.14-0ubuntu1) jaunty; urgency=low

  * New upstream version.
  * Watch file added
  
 -- Morten Kjeldgaard <mok0@ubuntu.com>  Fri, 16 Jan 2009 10:43:56 +0100

storm (0.12-0ubuntu2) intrepid; urgency=low

  * Added python-psycopg2, python-mysqldb and python-pysqlite2 to Suggests of
    python-storm (LP: #259883).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 21 Aug 2008 19:19:29 +0200

storm (0.12-0ubuntu1) hardy; urgency=low

  [ Morten Kjeldgaard ]
  * New upstream release, fixes several bugs (LP: #156100)
    - debian/rules: get-orig-source target added. Avoid packing
      usr/lib
    - debian/control: move to section python, move http stanza
      to Homepage field.

  [ Scott Kitterman ]
  * Change get-orig-source to use production launchpad URL (remove edge)

 -- Morten Kjeldgaard <mok@bioxray.au.dk>  Mon, 25 Feb 2008 15:35:09 +0100

storm (0.11-0ubuntu2) hardy; urgency=low

  * Fix subst variable in debian/control to make python-storm install properly
    again.
  * Don't run prerm if upgrading from 0.11-0ubuntu1.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 11 Jan 2008 17:39:39 +0100

storm (0.11-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Switch to python-central.

 -- Soren Hansen <soren@ubuntu.com>  Thu, 10 Jan 2008 17:23:53 +0100

storm (0.9-0ubuntu1) gutsy; urgency=low

  * Initial release.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 13 Jul 2007 09:38:21 +0100

## storm 0.19

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 PYTHON ?= python
+PYDOCTOR ?= pydoctor
 
 TEST_COMMAND = $(PYTHON) test
 
@@ -18,11 +19,14 @@
 	$(PYTHON) setup.py build_ext -i
 
 check: build
-	# Run the tests once with cextensions and once without them.
-	$(TEST_COMMAND) && STORM_CEXTENSIONS=1 $(TEST_COMMAND)
+	# Run the tests once with C extensions and once without them.
+	$(TEST_COMMAND) && STORM_CEXTENSIONS=0 $(TEST_COMMAND)
+
+doc:
+	$(PYDOCTOR) --make-html --html-output apidoc --add-package storm
 
 release:
-	$(PYTHON) setup.py sdist --formats bztar
+	$(PYTHON) setup.py sdist
 
 clean:
 	rm -rf build

=== debian/changelog ===
storm (0.19-2) unstable; urgency=low

  * QA upload.

  [ Scott Kitterman ]
  * QA upload to orphan the package, no human maintainers, see #887813
  * Fixed watch file to work with Launchpad again. (Closes: #664743).
  * Change priority to optional
  * Delete DPMT Vcs-* since package is no longer team maintained
  * Add missing build-depends to fix FTBFS (Closes: #887748)
  * Add dh-python to build-depends

  [ Miguel Landaeta ]
  * Bump Standards-Version to 3.9.8. No changes were required.
  * Remove myself from uploaders list. (Closes: #871889)
  * Bump DH compat level to 10.
  * Wrap and sort dependencies lists.
  * Update copyright info.

 -- Scott Kitterman <scott@kitterman.com>  Sat, 20 Jan 2018 01:23:12 -0500

storm (0.19-1) unstable; urgency=low

  * New upstream release.
  * Update copyright dates.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 10 Nov 2011 19:03:56 -0430

=== debian/control ===
Source: storm
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 python-all-dbg (>= 2.6.6-3~),
 python-all-dev (>= 2.6.6-3~),
 python-setuptools,
 python-testresources,
 python-transaction,
 python-twisted,
 python-zope.component,
 python-zope.interface
Standards-Version: 3.9.8
X-Python-Version: >= 2.4
Homepage: http://storm.canonical.com/

Package: python-storm
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Suggests: python-psycopg2 | python-mysqldb | python-pysqlite2
Description: object-relational mapper (ORM) for Python
 Storm is an object-relation mapper (ORM) for the Python language. In
 simple terms, that kind of system allows rows from a relational
 database to be seen as objects in an object-oriented language like
 Python.
 .
 Features:
  * Clean and lightweight API offers a short learning curve and long-
    erm maintainability.
  * Storm is developed in a test-driven manner. An untested line of
    code is considered a bug.
  * Storm needs no special class constructors, nor imperative base
    classes.
  * Storm is well designed (different classes have very clear
    boundaries, with small and clean public APIs).
  * Designed from day one to work both with thin relational databases,
    such as SQLite, and big iron systems like PostgreSQL and MySQL.
  * Storm is easy to debug, since its code is written with a KISS
    principle, and thus is easy to understand.
  * Designed from day one to work both at the low end, with trivial
    small databases, and the high end, with applications accessing
    billion row tables and committing to multiple database backends.
  * It's very easy to write and support backends for Storm (current
    backends have around 100 lines of code).

Package: python-storm-dbg
Architecture: any
Section: debug
Depends:
 python-storm (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends: python-dbg
Suggests: python-psycopg2 | python-mysqldb | python-pysqlite2
Description: object-relational mapper (ORM) for Python - debugging files
 Storm is an object-relation mapper (ORM) for the Python language. In
 simple terms, that kind of system allows rows from a relational
 database to be seen as objects in an object-oriented language like
 Python.
 .
 Features:
  * Clean and lightweight API offers a short learning curve and long-
    erm maintainability.
  * Storm is developed in a test-driven manner. An untested line of
    code is considered a bug.
  * Storm needs no special class constructors, nor imperative base
    classes.
  * Storm is well designed (different classes have very clear
    boundaries, with small and clean public APIs).
  * Designed from day one to work both with thin relational databases,
    such as SQLite, and big iron systems like PostgreSQL and MySQL.
  * Storm is easy to debug, since its code is written with a KISS
    principle, and thus is easy to understand.
  * Designed from day one to work both at the low end, with trivial
    small databases, and the high end, with applications accessing
    billion row tables and committing to multiple database backends.
  * It's very easy to write and support backends for Storm (current
    backends have around 100 lines of code).
 .
 This package contains the extension built for the Python debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_clean:
	dh_auto_clean
	rm -rf storm.egg-info

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for python in $(shell pyversions -r); do \
		$$python setup.py test; \
		$$python-dbg setup.py test; \
	done
endif

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip --dbg-package=python-storm-dbg
endif

=== debian/watch ===
version=3
https://launchpad.net/storm/+download https://launchpad.net/storm/trunk/.*/storm-(.*)\.tar\.bz2

## storm 0.22

=== debian/changelog ===
storm (0.22-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:23:22 +0100

storm (0.22-3) unstable; urgency=medium

  * debian/copyright: Update copyright dates to 2019.
  * Remove redundant versioning on python3-all-* build-dependencies.

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 Dec 2019 01:36:24 +0000

storm (0.22-2) unstable; urgency=medium

  * No-change reupload due to dgit signing confusion.

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Nov 2019 16:05:09 +0000

storm (0.22-1) unstable; urgency=medium

  * Convert git repository from git-dpm to gbp layout.
  * Fix typos in package descriptions.
  * Update watch file to download GPG signatures.
  * Restore DPMT as Maintainer and set myself as Uploader (closes: #940876).
  * New upstream release (closes: #725462).
  * Adjust packaging for port to Python 3.
  * Switch to pybuild.
  * Set Rules-Requires-Root: no.
  * Policy version 4.4.1.
  * Restore DPMT Vcs-* fields.
  * Update Homepage to use HTTPS.

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Nov 2019 13:58:31 +0000

=== debian/control ===
Source: storm
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 postgresql,
 python3-all-dbg,
 python3-all-dev,
 python3-fixtures,
 python3-pgbouncer,
 python3-postgresfixture,
 python3-psycopg2,
 python3-setuptools,
 python3-testresources,
 python3-testtools,
 python3-timeline,
 python3-transaction,
 python3-twisted,
 python3-zope.component,
 python3-zope.interface,
 python3-zope.security,
Standards-Version: 4.4.1
Homepage: https://storm.canonical.com/
Vcs-Git: https://salsa.debian.org/python-team/modules/storm.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/storm
Rules-Requires-Root: no

Package: python3-storm
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python3-psycopg2
Description: object-relational mapper (ORM) for Python 3
 Storm is an object-relational mapper (ORM) for the Python language. In
 simple terms, that kind of system allows rows from a relational
 database to be seen as objects in an object-oriented language like
 Python.
 .
 Features:
  * Clean and lightweight API offers a short learning curve and
    long-term maintainability.
  * Storm is developed in a test-driven manner. An untested line of
    code is considered a bug.
  * Storm needs no special class constructors, nor imperative base
    classes.
  * Storm is well designed (different classes have very clear
    boundaries, with small and clean public APIs).
  * Designed from day one to work both with thin relational databases,
    such as SQLite, and big iron systems like PostgreSQL and MySQL.
  * Storm is easy to debug, since its code is written with a KISS
    principle, and thus is easy to understand.
  * Designed from day one to work both at the low end, with trivial
    small databases, and the high end, with applications accessing
    billion row tables and committing to multiple database backends.
  * It's very easy to write and support backends for Storm (current
    backends have around 100 lines of code).

Package: python3-storm-dbg
Architecture: any
Section: debug
Depends:
 python3-storm (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends: python3-dbg
Suggests: python3-psycopg2 | python3-mysqldb | python3-pysqlite2
Description: object-relational mapper (ORM) for Python 3 - debugging files
 Storm is an object-relational mapper (ORM) for the Python language. In
 simple terms, that kind of system allows rows from a relational
 database to be seen as objects in an object-oriented language like
 Python.
 .
 Features:
  * Clean and lightweight API offers a short learning curve and
    long-term maintainability.
  * Storm is developed in a test-driven manner. An untested line of
    code is considered a bug.
  * Storm needs no special class constructors, nor imperative base
    classes.
  * Storm is well designed (different classes have very clear
    boundaries, with small and clean public APIs).
  * Designed from day one to work both with thin relational databases,
    such as SQLite, and big iron systems like PostgreSQL and MySQL.
  * Storm is easy to debug, since its code is written with a KISS
    principle, and thus is easy to understand.
  * Designed from day one to work both at the low end, with trivial
    small databases, and the high end, with applications accessing
    billion row tables and committing to multiple database backends.
  * It's very easy to write and support backends for Storm (current
    backends have around 100 lines of code).
 .
 This package contains the extension built for the Python 3 debug
 interpreter.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME := storm

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_clean:
	dh_auto_clean
	rm -rf storm.egg-info

# We need to use dev/test to set up the PostgreSQL fixture.  pybuild isn't
# quite flexible enough for this, so override it entirely.
override_dh_auto_test:
	set -e; for suffix in '' dbg; do \
		for version in $$(py3versions -sv); do \
			PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$${version}$${suffix:+_$$suffix}_storm/build \
			python$$version$${suffix:+-$$suffix} dev/test; \
		done; \
	done

ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
override_dh_strip:
	dh_strip --dbg-package=python3-storm-dbg
endif

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://launchpad.net/storm/+download https://launchpad.net/storm/trunk/.*/storm-(.*)\.tar\.bz2

## storm 0.23

=== debian/changelog ===
storm (0.23-1) unstable; urgency=medium

  * New upstream release.
  * Remove alternate Suggests on python3-mysqldb | python3-pysqlite2 from
    python3-storm-dbg, to match python3-storm.  MySQL support was removed in
    0.21, and SQLite support is provided by Python 3's standard library.
  * Remove mention of MySQL from package descriptions.

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Mar 2020 17:52:21 +0000

=== debian/control ===
--- 
+++ 
@@ -50,7 +50,7 @@
   * Storm is well designed (different classes have very clear
     boundaries, with small and clean public APIs).
   * Designed from day one to work both with thin relational databases,
-    such as SQLite, and big iron systems like PostgreSQL and MySQL.
+    such as SQLite, and big iron systems like PostgreSQL.
   * Storm is easy to debug, since its code is written with a KISS
     principle, and thus is easy to understand.
   * Designed from day one to work both at the low end, with trivial
@@ -68,7 +68,7 @@
  ${python3:Depends},
  ${shlibs:Depends}
 Recommends: python3-dbg
-Suggests: python3-psycopg2 | python3-mysqldb | python3-pysqlite2
+Suggests: python3-psycopg2
 Description: object-relational mapper (ORM) for Python 3 - debugging files
  Storm is an object-relational mapper (ORM) for the Python language. In
  simple terms, that kind of system allows rows from a relational
@@ -85,7 +85,7 @@
   * Storm is well designed (different classes have very clear
     boundaries, with small and clean public APIs).
   * Designed from day one to work both with thin relational databases,
-    such as SQLite, and big iron systems like PostgreSQL and MySQL.
+    such as SQLite, and big iron systems like PostgreSQL.
   * Storm is easy to debug, since its code is written with a KISS
     principle, and thus is easy to understand.
   * Designed from day one to work both at the low end, with trivial

## storm 0.24

=== Makefile ===
PYTHON ?= python
PYDOCTOR ?= pydoctor

TEST_COMMAND = $(PYTHON) setup.py test

all: build

build:
	$(PYTHON) setup.py build_ext -i

develop:
	$(TEST_COMMAND) --quiet --dry-run

check:
	tox

check-with-trial:
	STORM_TEST_RUNNER=trial tox

doc:
	$(PYDOCTOR) --make-html --html-output apidoc --add-package storm

release:
	$(PYTHON) setup.py sdist

clean:
	rm -rf build
	rm -rf build-stamp
	rm -rf dist
	rm -rf storm.egg-info
	rm -rf debian/files
	rm -rf debian/python-storm
	rm -rf debian/python-storm.*
	rm -rf .tox
	rm -rf *.egg
	rm -rf _trial_temp
	find . -name "*.so" -type f -exec rm -f {} \;
	find . -name "*.pyc" -type f -exec rm -f {} \;
	find . -name "*~" -type f -exec rm -f {} \;

.PHONY: all build check clean develop doc release

=== debian/changelog ===
storm (0.24-2) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Nov 2020 00:11:39 +0000

storm (0.24-1) unstable; urgency=medium

  * debian/watch: Generalise slightly using @ARCHIVE_EXT@.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Jun 2020 12:08:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: storm
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
  postgresql,
  python3-all-dbg,
@@ -20,12 +20,13 @@
  python3-transaction,
  python3-twisted,
  python3-zope.component,
+ python3-zope.configuration,
  python3-zope.interface,
  python3-zope.security,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://storm.canonical.com/
-Vcs-Git: https://salsa.debian.org/python-team/modules/storm.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/storm
+Vcs-Git: https://salsa.debian.org/python-team/packages/storm.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/storm
 Rules-Requires-Root: no
 
 Package: python3-storm

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://launchpad.net/storm/+download https://launchpad.net/storm/trunk/.*/storm-(.*)@ARCHIVE_EXT@

## storm 0.25

=== debian/changelog ===
storm (0.25-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:48:54 +0000

storm (0.25-1) unstable; urgency=medium

  * New upstream release, restoring MySQL support.
  * Remove python3-storm-dbg in favour of automatically-generated -dbgsym
    packages (closes: #994382).

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Sep 2021 11:59:56 +0100

=== debian/control ===
Source: storm
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 postgresql,
 python3-all-dev,
 python3-fixtures,
 python3-pgbouncer,
 python3-postgresfixture,
 python3-psycopg2,
 python3-setuptools,
 python3-testresources,
 python3-testtools,
 python3-timeline,
 python3-transaction,
 python3-twisted,
 python3-zope.component,
 python3-zope.configuration,
 python3-zope.interface,
 python3-zope.security,
Standards-Version: 4.5.0
Homepage: https://storm.canonical.com/
Vcs-Git: https://salsa.debian.org/python-team/packages/storm.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/storm
Rules-Requires-Root: no

Package: python3-storm
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python3-psycopg2 | python3-mysqldb
Description: object-relational mapper (ORM) for Python 3
 Storm is an object-relational mapper (ORM) for the Python language. In
 simple terms, that kind of system allows rows from a relational
 database to be seen as objects in an object-oriented language like
 Python.
 .
 Features:
  * Clean and lightweight API offers a short learning curve and
    long-term maintainability.
  * Storm is developed in a test-driven manner. An untested line of
    code is considered a bug.
  * Storm needs no special class constructors, nor imperative base
    classes.
  * Storm is well designed (different classes have very clear
    boundaries, with small and clean public APIs).
  * Designed from day one to work both with thin relational databases,
    such as SQLite, and big iron systems like PostgreSQL and MySQL.
  * Storm is easy to debug, since its code is written with a KISS
    principle, and thus is easy to understand.
  * Designed from day one to work both at the low end, with trivial
    small databases, and the high end, with applications accessing
    billion row tables and committing to multiple database backends.
  * It's very easy to write and support backends for Storm (current
    backends have around 100 lines of code).

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME := storm

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_clean:
	dh_auto_clean
	rm -rf storm.egg-info

# We need to use dev/test to set up the PostgreSQL fixture.  pybuild isn't
# quite flexible enough for this, so override it entirely.
override_dh_auto_test:
	for version in $$(py3versions -sv); do \
		PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$${version}_storm/build \
		python$$version dev/test; \
	done

## storm 0.26

=== debian/changelog ===
storm (0.26-3) unstable; urgency=medium

  * Build with all hardening options.
  * Use pybuild-plugin-pyproject.
  * Add Testsuite: autopkgtest-pkg-pybuild.
  * Standards-Version: 4.7.0 (no changes required).

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Jul 2024 10:53:17 +0100

storm (0.26-2) unstable; urgency=medium

  * Build-depend on python3-six (closes: #1064699).

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 Feb 2024 10:56:13 +0000

storm (0.26-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 Dec 2023 23:17:26 +0000

storm (0.25-2) unstable; urgency=medium

  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.
  * Clean .db.lock and db/* (closes: #1046671).

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Aug 2023 12:58:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  postgresql,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-fixtures,
  python3-pgbouncer,
  python3-postgresfixture,
  python3-psycopg2,
  python3-setuptools,
+ python3-six,
  python3-testresources,
  python3-testtools,
  python3-timeline,
@@ -22,11 +24,12 @@
  python3-zope.configuration,
  python3-zope.interface,
  python3-zope.security,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Homepage: https://storm.canonical.com/
 Vcs-Git: https://salsa.debian.org/python-team/packages/storm.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/storm
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-storm
 Architecture: any

## storm 1.0

=== debian/changelog ===
storm (1.0-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 15:06:43 +0000

storm (1.0-2) unstable; urgency=medium

  * Only run PostgreSQL tests on 64-bit architectures, since pgbouncer is no
    longer available elsewhere (closes: #1103501).

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Apr 2025 12:44:14 +0100

storm (1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Jul 2024 10:27:03 +0100

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export PYBUILD_NAME := storm
# We need to use dev/test to set up the PostgreSQL fixture.
export PYBUILD_TEST_CUSTOM := 1
export PYBUILD_TEST_ARGS := {interpreter} {dir}/dev/test
export PYBUILD_AFTER_TEST := rm -rf {build_dir}/db*

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_clean:
	dh_auto_clean
	rm -rf storm.egg-info

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://launchpad.net/storm/+download https://launchpad.net/storm/trunk/.*/storm-(.*)@ARCHIVE_EXT@

## storm 1.1

=== debian/changelog ===
storm (1.1-1) unstable; urgency=medium

  * New upstream release.
  * Use dh-sequence-python3.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * debian/copyright: Remove old FSF postal address.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Fri, 05 Dec 2025 16:13:54 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Colin Watson <cjwatson@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  postgresql,
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-fixtures,
- python3-pgbouncer,
- python3-postgresfixture,
+ python3-packaging,
+ python3-pgbouncer [amd64 arm64 mips64el ppc64el riscv64 s390x],
+ python3-postgresfixture [amd64 arm64 mips64el ppc64el riscv64 s390x],
  python3-psycopg2,
  python3-setuptools,
- python3-six,
  python3-testresources,
  python3-testtools,
  python3-timeline,
@@ -24,11 +24,10 @@
  python3-zope.configuration,
  python3-zope.interface,
  python3-zope.security,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://storm.canonical.com/
 Vcs-Git: https://salsa.debian.org/python-team/packages/storm.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/storm
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-storm

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
